> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/international-address-internationaladdressgenerator.md).

# International Address (InternationalAddressGenerator)

The [International Address](/app/generation/generators/generator-reference/international-address.md) generator can generator the following international address values:

* For Canadian addresses:
  * Street name
  * Postal code
* For United Kingdom (UK) addresses:
  * City
  * County
  * District
  * Country
  * Postal code

## **Link object structure** <a href="#international-address-link-structure" id="international-address-link-structure"></a>

The International Address generator can be self-consistent. The consistency can be case-sensitive. You cannot configure differential privacy. It cannot be linked to other columns.

The metadata object is populated from [`InternationalAddressMetadata`](https://app.tonic.ai/apidocs/index.html#/models/InternationalAddressMetadata).

For the International Address generator, you specify the country and the type of address value that is in the source column.

```json
{
  "presetId": "string",
  "generatorId": "InternationalAddressGenerator",
  "schema": "string",
  "table": "string",
  "column": "string",
  "path": "string",  //JSON fields only
  "dataType": "string",  //MongoDB, Amazon DynamoDB, and JSON fields only
  "metadata": {
    "internationalAddressCountry": "Canada",
    "internationalAddressComponent": "enum",
    "addressComponentFallback": "string",
    "isConsistent": boolean,
    "caseSensitiveConsistency": boolean
  },
  "encryptionProcessor": "x-on", //To use configured Tonic data encryption
  "customValueProcessor": "string" //If custom value processor applied
}
```

## **Example replacement** <a href="#international-address-example-replacement" id="international-address-example-replacement"></a>

The following example replacement shows a column that is assigned the built-in generator preset for the International Address generator.

The column contains a Canadian postal code.

The fallback value is K1A.

Consistency is disabled.

```json
{
  "name": "postalCode",
  "schema": "public",
  "table": "locations",
  "links": [
    {
      "generatorId": "InternationalAddressGenerator",
      "column": "postalCode",
      "table": "locations",
      "schema": "public",
      "metadata": {
        "internationalAddressComponent": "CanadaPostalCodeLDU",
        "addressComponentFallback": "K1A",
        "isConsistent": false
      }
    }
  ]
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/international-address-internationaladdressgenerator.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
